{% extends "layouts/public-layout.html" %}
{% set appFile = 'user-auth-app' %}
{% set signupUrl = '/signup' %}
{% block main %}
    <div class="container">
        <article data-is="user-login-view" class="auth-space-top">
    		<h2>Vencil {{segment}} Login</h2>
    		<form autocomplete="false">
    			<input type="hidden" name="_csrf" value="{{csrfToken}}">
                <div>
                    <label for="username">Username</label>
                    <input id="username" type="email" name="username" class="validate" placeholder="email@yourmail.com" autocomplete="off">
                    <small id="usernameHelp" class="form-text text-muted"></small>
                </div>
                <div>
                    <label for="password">Password</label>
                    <input id="password" type="password" name="password" class="validate" placeholder="password" autocomplete="off">
                    <small id="passwordHelp" class="form-text text-muted"></small>
                </div>
                <div>
                	<div class="row">
                		<div class="col-6">
                			<button class="button" onclick="{handleLogin.bind(this)}">Sign In</button>
                			<a class="button" href="{{signupUrl}}">Sign Up</a>
                		</div>
                	</div>
                </div>
            </form>
    	</article>
    </div>
	<script type="text/javascript">
    	document.addEventListener("DOMContentLoaded", function(event) {
           runningTag['{{appFile}}']({
           		tagName : 'user-login-view',
           		functionName : 'loginView'
           });
        });
    </script>
{% endblock %}

